Advisory Details

October 1st, 2014

Sophos Cyberoam diagnose Stack Buffer Overflow Remote Code Execution Vulnerability

ZDI-14-334
ZDI-CAN-2332

CVE ID CVE-2014-5501
CVSS SCORE 9.3, (AV:N/AC:M/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Sophos
AFFECTED PRODUCTS Cyberoam
TREND MICRO CUSTOMER PROTECTION Trend Micro TippingPoint IPS customers are protected against this vulnerability by Digital Vaccine protection filter ID 16277. For further product information on the TippingPoint IPS: http://www.tippingpoint.com
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Sophos Cyberoam. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file.

The specific flaw exists within the diagnose service. The issue lies in the failure to validate the size of the input buffer before copying it into a fixed-size buffer on the stack. An attacker can leverage this vulnerability to execute code under the context of the web server.

ADDITIONAL DETAILS Sophos has issued an update to correct this vulnerability. More details can be found at:
http://kb.cyberoam.com/default.asp?id=3049&Lang=1&SID
DISCLOSURE TIMELINE
  • 2014-06-04 - Vulnerability reported to vendor
  • 2014-10-01 - Coordinated public release of advisory
CREDIT agix
BACK TO ADVISORIES